﻿@model MVCAutentimisega.Models.AspNetUser
    @using MVCAutentimisega.Models;

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>AspNetUser</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.DisplayName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DisplayName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Email)
        </dd>





        <dt>
            @Html.DisplayNameFor(model => model.UserName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.BirthDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.BirthDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Lisainfo)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Lisainfo)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Veelmidagi)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Veelmidagi)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FirstName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.LastName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastName)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
 @* Siin tegin ametinimetuste tabeli, ja lingid, et lisada või eemaldada rolle  *@
@if (Request.IsAuthenticated)
{
<table>
    <tr>
        <th width="30%"><h4>Kasutajal on sellised rollid</h4></th>
        <th width="10"></th>
        <th><h4>Kasutajal ei ole sellised rollid</h4></th>
        <td>
    </tr>
    <tr>
        <td>
            @foreach (var r in Model.AspNetRoles)
            {
                if (User.IsInRole("Administrator"))
                {

                    <p>@Html.ActionLink("- " + r.Name, "RemoveRole", new { id = Model.Id, roleId = r.Id })</p>
                }
                else
                {
                    <p>@r.Name</p>

                }

            }
        </td>
        <td />
        <td>

            @foreach (AspNetRole r in ViewBag.Roles)
            {
                if (User.IsInRole("Administrator"))
                {
                    <p>@Html.ActionLink("+ " + r.Name, "AddRole", new { id = Model.Id, roleId = r.Id })</p>

                }
                else
                {
                    <p>@r.Name</p>

                }


            }
        </td>
    </tr>
</table>
}
